Bug 58918 - framebuffer console trashing on restart
Summary: framebuffer console trashing on restart
Status: RESOLVED FIXED
Alias: None
Product: kdm
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdm bugs tracker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-25 10:30 UTC by Renata Lane
Modified: 2008-05-19 17:30 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
an attempt to fix it (705 bytes, patch)
2003-06-18 16:44 UTC, Oswald Buddenhagen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Renata Lane 2003-05-25 10:30:40 UTC
Version:            (using KDE KDE 3.1.2)
Installed from:    Compiled From Sources
Compiler:          gcc 3.3 
OS:          Linux

After logging out of any session, X server is being resetted and that may leave framebuffer console in unusable state
I have XFree 4.3.0 / linux kernel 2.4.20 , console is using 800x600x16bit mode, X11 1152x864x16bit+DRI on Voodoo3
problem seem to appear with any kdm configuration
(TerminateServer=true/false , any OpenDelay tunes)
Possible solution: can kdm just terminate X server without resetting it? (optional?)
Comment 1 Oswald Buddenhagen 2003-06-18 16:44:02 UTC
Created attachment 1835 [details]
an attempt to fix it

please test if this patch is sufficient
Comment 2 Renata Lane 2003-06-18 20:38:13 UTC
Subject: Re:  framebuffer console trashing on restart

yes this should be sufficient.
i've applied the patch, with "TerminateServer=true" works fine,
i wonder if someone else experienced this problem.

On Wednesday 18 June 2003 18:44, you wrote:
> ------- You are receiving this mail because: -------
> You reported the bug, or are watching the reporter.
>
> http://bugs.kde.org/show_bug.cgi?id=58918
>
>
>
>
> ------- Additional Comments From ossi@kde.org  2003-06-18 16:44 -------
> Created an attachment (id=1835)
>  --> (http://bugs.kde.org/attachment.cgi?id=1835&action=view)
> an attempt to fix it
>
> please test if this patch is sufficient

Comment 3 Oswald Buddenhagen 2003-06-18 21:44:51 UTC
Subject: Re:  framebuffer console trashing on restart

> i've applied the patch, with "TerminateServer=true" works fine,
>
good

> i wonder if someone else experienced this problem.
> 
yes, loads of people. i even did something regarding this problem, but
obviously i did not get to actually fixing it.

Comment 4 Oswald Buddenhagen 2003-06-18 22:05:58 UTC
fixed in 3_1_BRANCH and HEAD